Сбой SQUID после обновления сервера

Обсуждение вопросов связанных с шлюзом безопасности Ideco UTM. Технические вопросы пользователей, новости от разработчиков, анонсы, обсуждения недокументированных особенностей.

Модератор: administrator

Сбой SQUID после обновления сервера

Сообщение Алекс35 » 06 ноя 2018, 15:59

Добрый день.
Периодически после автоматического обновления сервера падает модуль прокси на IDECO UTM. При попытке запуска/перезапуска выходит ошибка следующего содержания:
============================================================
service: module_squid
action: restart
status: error
main:
0:
service: squid
action: restart
status: not_configured
exit_code: 6
stdout: Останавливается squid: [СБОЙ ]
Запускается squid: [СБОЙ ]

stderr: Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 824, in _wrap_create_connection
return await self._loop.create_connection(*args, **kwargs)
File "/usr/lib64/python3.5/asyncio/base_events.py", line 776, in create_connection
raise exceptions[0]
File "/usr/lib64/python3.5/asyncio/base_events.py", line 763, in create_connection
yield from self.sock_connect(sock, address)
File "/usr/lib64/python3.5/asyncio/selector_events.py", line 451, in sock_connect
return (yield from fut)
File "/usr/lib64/python3.5/asyncio/futures.py", line 381, in __iter__
yield self # This tells Task to wait for completion.
File "/usr/lib64/python3.5/asyncio/tasks.py", line 310, in _wakeup
future.result()
File "/usr/lib64/python3.5/asyncio/futures.py", line 294, in result
raise self._exception
File "/usr/lib64/python3.5/asyncio/selector_events.py", line 481, in _sock_connect_cb
raise OSError(err, 'Connect call failed %s' % (address,))
ConnectionRefusedError: [Errno 111] Connect call failed ('127.0.0.1', 10560)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/bin/proxy_backend", line 7, in
main()
File "/usr/lib/python3.5/site-packages/proxy_backend/application.py", line 79, in main
loop.run_until_complete(request_regenerate_configs('127.0.0.1', 10560))
File "/usr/lib64/python3.5/asyncio/base_events.py", line 467, in run_until_complete
return future.result()
File "/usr/lib64/python3.5/asyncio/futures.py", line 294, in result
raise self._exception
File "/usr/lib64/python3.5/asyncio/tasks.py", line 242, in _step
result = coro.throw(exc)
File "/usr/lib/python3.5/site-packages/proxy_backend/genconfig.py", line 78, in request_regenerate_configs
async with session.get(url) as resp:
File "/usr/lib64/python3.5/site-packages/aiohttp/client.py", line 784, in __aenter__
self._resp = await self._coro
File "/usr/lib64/python3.5/site-packages/aiohttp/client.py", line 320, in _request
traces=traces
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 444, in connect
traces=traces
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 760, in _create_connection
traces=traces
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 882, in _create_direct_connection
raise last_exc
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 865, in _create_direct_connection
req=req, client_error=client_error)
File "/usr/lib64/python3.5/site-packages/aiohttp/connector.py", line 831, in _wrap_create_connection
raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host 127.0.0.1:10560 ssl:False [Connect call failed ('127.0.0.1', 10560)]

rest:
0:
service: firewall
action: restart
status: ok
exit_code: 0
stdout:
stderr:
==============================================

Восстановление системы с установочного носителя не помогает, только полная переустановка с повторной настройкой и импортом базы пользователей.

P.S.
а как включить в ежедневный бэкап правила для КФ и настройки интерфейсов и т.п.?
Алекс35
Пользователь
 
Сообщения: 35
Зарегистрирован: 22 авг 2018, 15:03

Re: Сбой SQUID после обновления сервера

Сообщение ideco.dmitriy » 06 ноя 2018, 21:10

Добрый день!
Рекомендую с помощью memtest с загрузочного диска, проверить работу оперативной памяти (2-6 часов). Если есть ошибки, заменить сбойные модули.

Возможность полного бекапа всех настроек появится в версии 7.8.0
Аватара пользователя
ideco.dmitriy
Админ всея сети
 
Сообщения: 1827
Зарегистрирован: 11 мар 2014, 08:43

Re: Сбой SQUID после обновления сервера

Сообщение Алекс35 » 07 ноя 2018, 09:22

Ну проверить может и получится, но разве стал бы сбоить несколько раз один и тот же модуль? Ничего, кроме модуля прокси не ломалось при обновлениях.
За полный бэкап спасибо, будем ждать.
Алекс35
Пользователь
 
Сообщения: 35
Зарегистрирован: 22 авг 2018, 15:03

Re: Сбой SQUID после обновления сервера

Сообщение ideco.dmitriy » 07 ноя 2018, 09:26

Возможно еще нужно очистить кэш браузера, если при этом всем трафик через сервер ходит стабильно, ошибка может быть из-за веб-интерфейса.
Аватара пользователя
ideco.dmitriy
Админ всея сети
 
Сообщения: 1827
Зарегистрирован: 11 мар 2014, 08:43

Re: Сбой SQUID после обновления сервера

Сообщение Алекс35 » 07 ноя 2018, 10:38

Нет, трафика нет вообще при этом. Приходится переустанавливать IDECO UTM с нуля и накатывать бэкапы БД.
Алекс35
Пользователь
 
Сообщения: 35
Зарегистрирован: 22 авг 2018, 15:03

Re: Сбой SQUID после обновления сервера

Сообщение ideco.dmitriy » 07 ноя 2018, 12:56

Ну это явно не нормальная работа сервера. Я бы также посоветовал проверить SMART жесткого диска.
В консоли:
smartctl -a /dev/sda
Аватара пользователя
ideco.dmitriy
Админ всея сети
 
Сообщения: 1827
Зарегистрирован: 11 мар 2014, 08:43


Вернуться в Шлюз безопасности Ideco UTM 7.x

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 0

cron